Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.request
Class UpdateRequest

    java.lang.Object
      weblogic.uddi.client.structures.request.Request
          weblogic.uddi.client.structures.request.UpdateRequest

Direct Known Subclasses:
  DeleteBinding, DeleteBusiness, DeleteService, DeleteTModel, DiscardAuthToken, GetRegisteredInfo, SaveBinding, SaveBusiness, SaveService, SaveTModel

public abstract class UpdateRequest
extends Request

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected AuthInfo` | `authInfo`

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`UpdateRequest()`

Method Summary
`AuthInfo` | `getAuthInfo()` Gets the value of the authorization information.
`void` | `setAuthInfo(AuthInfo value)` Sets the value of the authorization information.

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### authInfo

    protected AuthInfo authInfo

Constructor Detail

### UpdateRequest

    public UpdateRequest()

Method Detail

### getAuthInfo

    public AuthInfo getAuthInfo()

  Gets the value of the authorization information.

  Returns:
    value of the new authorization information.

### setAuthInfo

    public void setAuthInfo(AuthInfo value)

  Sets the value of the authorization information.

  Parameters:
    `value` - value of the new authorization information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD